#-------------------------------------------------------------------------------
# Copyright 2008-2012 Istituto Nazionale di Fisica Nucleare (INFN)
#
# Licensed under the EUPL, Version 1.1 only (the "Licence").
# You may not use this work except in compliance with the Licence.
# You may obtain a copy of the Licence at:
#
# http://joinup.ec.europa.eu/system/files/EN/EUPL%20v.1.1%20-%20Licence.pdf
#
# Unless required by applicable law or agreed to in
# writing, software distributed under the Licence is
# distributed on an "AS IS" basis,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
# either express or implied.
# See the Licence for the specific language governing
# permissions and limitations under the Licence.
#-------------------------------------------------------------------------------

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name: wnodes_bait
Version: 2.0.8
Release: 3%{?dist}
License: EUPL
URL:     http://web.infn.it/wnodes/
Group: INFN CNAF
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}-%{version}
BuildArch: noarch
Distribution: any
Vendor: INFN CNAF
Packager: elisabetta ronchieri elisabetta.ronchieri@cnaf.infn.it
Summary: INFN CNAF WNODES BAIT

BuildRequires: automake
BuildRequires: python
Requires: python
Requires: wnodes_utils
Requires: wnodes_site_specific

%description
It contains bait of WNODES

%prep
echo Building %{name}-%{version}

%setup -q -n %{name}-%{version}

%build
/bin/bash auto.sh
./configure --prefix=/usr --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var --bindir=/usr/bin --exec_prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/log/wnodes/bait
mv $RPM_BUILD_ROOT/%{_bindir}/wnodes_bait.py $RPM_BUILD_ROOT/%{_bindir}/wnodes_bait

%post
# restart server if this is an upgrade
if [ "$1" = "1" ] ; then
  echo 'adding service to chkconfig'
  /sbin/chkconfig --add %{name}
fi;
if [ "$1" = "2" ] ; then
  echo "The WNoDeS bait has been upgraded but NOT configured yet."
  echo 'stop service'
  /sbin/service %{name} stop >/dev/null 2>&1 || :
fi;

%preun 
#during an upgrade, the value of the argument passed in is 1
#during an uninstall, the value of the argument passed in is 0
if [ "$1" = "0" ] ; then
  echo 'stop service'
  /sbin/service %{name} stop >/dev/null 2>&1 || :
  echo 'del service from chkconfig'
  /sbin/chkconfig --del %{name}
fi;
if [ "$1" = "1" ] ; then
  echo "The WNoDeS bait server has been upgraded but NOT configured yet."
  echo 'stop service'
  /sbin/service %{name} stop >/dev/null 2>&1 || :
fi;

%postun
#during an upgrade, the value of the argument passed in is 1
#during an uninstall, the value of the argument passed in is 0
if [ "$1" = "1" ] ; then
  echo "The WNoDeS bait server has been upgraded but NOT configured yet."
  echo 'stop service'
  /sbin/service %{name} stop >/dev/null 2>&1 || :
fi;
if [ "$1" = "0" ] ; then
  echo 'remove old file'
  rm -f /etc/init.d/%{name}.*
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%{_sysconfdir}/init.d/%{name}

%dir %{_sysconfdir}/wnodes/bait
%config(noreplace) %{_sysconfdir}/wnodes/bait/wnodes.ini

%{_bindir}/wnodes_bait

%defattr(-, root, root, 0755)
%dir %{python_sitearch}/wnodes/bait
%{python_sitearch}/wnodes/bait/__init__.py
%{python_sitearch}/wnodes/bait/__init__.pyc
%{python_sitearch}/wnodes/bait/__init__.pyo

%dir %{_localstatedir}/log/wnodes/bait

%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/CREDITS
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE-en.pdf
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE-it.pdf
%doc %{_datadir}/doc/%{name}-%{version}/README

%changelog
* Thu May 14 2011 Elisabetta Roncheiri
- Changed the managing of spec file
- Changed spec settings for LICENSE, Group
